<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\HashTable</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new \PhpOffice\PhpSpreadsheet\HashTable.">
            <span class="description">Create a new \PhpOffice\PhpSpreadsheet\HashTable.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_add" title="add ::Add HashTable item.">
            <span class="description">Add HashTable item.</span><pre>add</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addFromSource" title="addFromSource ::Add HashTable items from source.">
            <span class="description">Add HashTable items from source.</span><pre>addFromSource</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_clear" title="clear ::Clear HashTable.">
            <span class="description">Clear HashTable.</span><pre>clear</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_count" title="count ::Count.">
            <span class="description">Count.</span><pre>count</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getByHashCode" title="getByHashCode ::Get by hashcode.">
            <span class="description">Get by hashcode.</span><pre>getByHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getByIndex" title="getByIndex ::Get by index.">
            <span class="description">Get by index.</span><pre>getByIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getIndexForHashCode" title="getIndexForHashCode ::Get index for hash code.">
            <span class="description">Get index for hash code.</span><pre>getIndexForHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_remove" title="remove ::Remove HashTable item.">
            <span class="description">Remove HashTable item.</span><pre>remove</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_toArray" title="toArray ::HashTable to array.">
            <span class="description">HashTable to array.</span><pre>toArray</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>HashTable</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new \PhpOffice\PhpSpreadsheet\HashTable.</h2>
                            <pre>__construct(array&lt;mixed,\PhpOffice\PhpSpreadsheet\IComparable&gt; $pSource = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pSource</h4>
                                                <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>&gt;</code><p><p>Optional source array to create HashTable from</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_add"></a>
                        <div class="element clickable methodpublic method_add" data-toggle="collapse" data-target=".method_add .collapse">
                            <h2>Add HashTable item.</h2>
                            <pre>add(\PhpOffice\PhpSpreadsheet\IComparable $pSource)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pSource</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a></code><p><p>Item to add</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_addFromSource"></a>
                        <div class="element clickable methodpublic method_addFromSource" data-toggle="collapse" data-target=".method_addFromSource .collapse">
                            <h2>Add HashTable items from source.</h2>
                            <pre>addFromSource(array&lt;mixed,\PhpOffice\PhpSpreadsheet\IComparable&gt; $pSource = null)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pSource</h4>
                                                <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>&gt;</code><p><p>Source array to create HashTable from</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_clear"></a>
                        <div class="element clickable methodpublic method_clear" data-toggle="collapse" data-target=".method_clear .collapse">
                            <h2>Clear HashTable.</h2>
                            <pre>clear()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_count"></a>
                        <div class="element clickable methodpublic method_count" data-toggle="collapse" data-target=".method_count .collapse">
                            <h2>Count.</h2>
                            <pre>count(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getByHashCode"></a>
                        <div class="element clickable methodpublic method_getByHashCode" data-toggle="collapse" data-target=".method_getByHashCode .collapse">
                            <h2>Get by hashcode.</h2>
                            <pre>getByHashCode(string $pHashCode): \PhpOffice\PhpSpreadsheet\IComparable</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pHashCode</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getByIndex"></a>
                        <div class="element clickable methodpublic method_getByIndex" data-toggle="collapse" data-target=".method_getByIndex .collapse">
                            <h2>Get by index.</h2>
                            <pre>getByIndex(integer $pIndex): \PhpOffice\PhpSpreadsheet\IComparable</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pIndex</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIndexForHashCode"></a>
                        <div class="element clickable methodpublic method_getIndexForHashCode" data-toggle="collapse" data-target=".method_getIndexForHashCode .collapse">
                            <h2>Get index for hash code.</h2>
                            <pre>getIndexForHashCode(string $pHashCode): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pHashCode</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Index</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_remove"></a>
                        <div class="element clickable methodpublic method_remove" data-toggle="collapse" data-target=".method_remove .collapse">
                            <h2>Remove HashTable item.</h2>
                            <pre>remove(\PhpOffice\PhpSpreadsheet\IComparable $pSource)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pSource</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a></code><p><p>Item to remove</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_toArray"></a>
                        <div class="element clickable methodpublic method_toArray" data-toggle="collapse" data-target=".method_toArray .collapse">
                            <h2>HashTable to array.</h2>
                            <pre>toArray(): array&lt;mixed,\PhpOffice\PhpSpreadsheet\IComparable&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_items"> </a>
                            <div class="element clickable propertyprotected property_items" data-toggle="collapse" data-target=".property_items .collapse">
                                <h2>HashTable elements.</h2>
                                <pre>items :array&lt;mixed,\PhpOffice\PhpSpreadsheet\IComparable&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_keyMap"> </a>
                            <div class="element clickable propertyprotected property_keyMap" data-toggle="collapse" data-target=".property_keyMap .collapse">
                                <h2>HashTable key map.</h2>
                                <pre>keyMap :array&lt;mixed,string&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\HashTable"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.html">PhpSpreadsheet</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.HashTable.html">HashTable</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:50 +0000.<br/>
    </footer></body>
</html>
